Payouts

List payouts

Returns a paginated list of payouts in your organization.

GET
/payouts
/payouts

The Authorization access token

Authorization

Authorization
Required
Bearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Query Parameters

affiliate_idstring

Filter by affiliate UUID

Format: "uuid"

limitinteger

Number of records to return (default: 10, max: 100)

Default: 10Minimum: 1Maximum: 100

pageinteger

Page number (1-indexed)

Default: 1Minimum: 1
curl -X GET "https://www.promotekit.com/api/v1/payouts?affiliate_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&limit=10&page=1" \
  -H "Authorization: Bearer <token>"

Successful response

{
  "success": true,
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "affiliate_name": "string",
      "payout_email": "user@example.com",
      "amount": 0,
      "currency": "string",
      "period": "string",
      "payment_count": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "affiliate": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "email": "user@example.com",
        "first_name": "string",
        "last_name": "string",
        "payout_email": "user@example.com",
        "links": [
          {
            "url": "string",
            "code": "string"
          }
        ],
        "promo_codes": [
          {
            "code": "string",
            "external_id": "string"
          }
        ],
        "clicks": 0,
        "approved": true,
        "banned": true,
        "details": "string",
        "new_paid_referral_notifications": true,
        "created_at": "2019-08-24T14:15:22Z",
        "campaign": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "website_url": "string",
          "commission_type": "percentage",
          "commission_amount": 0,
          "is_default": true,
          "limit_type": "string",
          "limit_amount": 0,
          "code_mode": "link",
          "reference_coupon": "string",
          "custom_commission_type": "string",
          "welcome_message": "string",
          "approval_needed": true,
          "collect_details": true,
          "details_text": "string",
          "hide_emails": true,
          "dashboard_text": "string",
          "cookie_duration": 0,
          "first_payment_commission": {
            "enabled": true,
            "type": "string",
            "amount": 0
          }
        }
      }
    }
  ],
  "pagination": {
    "page": 0,
    "limit": 0,
    "total_count": 0,
    "total_pages": 0,
    "has_more": true
  }
}